# Uses of Class
org.eclipse.emf.cdo.server.db.evolution.phased.PhasedModelEvolutionSupport

Packages that use PhasedModelEvolutionSupport
Package
Description
org.eclipse.emf.cdo.server.db.evolution.phased
A phased approach to database evolution.

## Uses of PhasedModelEvolutionSupport in org.eclipse.emf.cdo.server.db.evolution.phased

Methods in org.eclipse.emf.cdo.server.db.evolution.phased that return PhasedModelEvolutionSupport
Modifier and Type
Method
Description
`PhasedModelEvolutionSupport`
Context.`getSupport()`
Returns the model evolution support associated with this context.
`PhasedModelEvolutionSupport`
Context.Manager.`getSupport()`
Returns the model evolution support associated with this context manager.
`PhasedModelEvolutionSupport`
FolderContextManager.`getSupport()`
Returns the model evolution support.
Methods in org.eclipse.emf.cdo.server.db.evolution.phased with parameters of type PhasedModelEvolutionSupport
Modifier and Type
Method
Description
`void`
Context.Manager.`setSupport(PhasedModelEvolutionSupport support)`
Sets the model evolution support associated with this context manager.
`void`
FolderContextManager.`setSupport(PhasedModelEvolutionSupport support)`
Sets the model evolution support.
Constructors in org.eclipse.emf.cdo.server.db.evolution.phased with parameters of type PhasedModelEvolutionSupport
Modifier
Constructor
Description
``
`Context(PhasedModelEvolutionSupport support, Collection<Context.Model> models)`
Creates a context for model evolution with the given models.